SidConfig Class Reference

`#include <SidConfig.h>`

## Public Types

enum | playback_t { MONO = 1, STEREO }
enum | sid_model_t { MOS6581, MOS8580 }
enum | c64_model_t { PAL, NTSC, OLD_NTSC, DREAN }
enum | sampling_method_t { INTERPOLATE, RESAMPLE_INTERPOLATE }

## Public Attributes

c64_model_t | defaultC64Model
bool | forceC64Model
sid_model_t | defaultSidModel
bool | forceSidModel
playback_t | playback
uint_least32_t | frequency
uint_least16_t | secondSidAddress
uint_least16_t | thirdSidAddress
sidbuilder * | sidEmulation
uint_least32_t | leftVolume
uint_least32_t | rightVolume
uint_least16_t | powerOnDelay
sampling_method_t | samplingMethod
bool | fastSampling

## Static Public Attributes

static const uint_least16_t | MAX_POWER_ON_DELAY = 0x1FFF
static const uint_least16_t | DEFAULT_POWER_ON_DELAY = MAX_POWER_ON_DELAY + 1
static const uint_least32_t | DEFAULT_SAMPLING_FREQ = 44100

## Detailed Description

SidConfig

An instance of this class is used to transport emulator settings to and from the interface class.

Examples
  demo.cpp.

## Member Data Documentation

## defaultC64Model

c64_model_t SidConfig::defaultC64Model

Intended c64 model when unknown or forced.

- PAL
- NTSC
- OLD_NTSC
- DREAN

## defaultSidModel

sid_model_t SidConfig::defaultSidModel

Intended sid model when unknown or forced.

- MOS6581
- MOS8580

## fastSampling

bool SidConfig::fastSampling

Faster low-quality emulation, available only for reSID.

Examples
  demo.cpp.

## forceC64Model

bool SidConfig::forceC64Model

Force the model to defaultC64Model ignoring tune's clock setting.

## forceSidModel

bool SidConfig::forceSidModel

Force the sid model to defaultSidModel.

## frequency

uint_least32_t SidConfig::frequency

Sampling frequency.

Examples
  demo.cpp.

## leftVolume

uint_least32_t SidConfig::leftVolume

Left channel volume.

## MAX_POWER_ON_DELAY

const uint_least16_t SidConfig::MAX_POWER_ON_DELAY = 0x1FFF

static

Maximum power on delay.

- Delays <= MAX produce constant results
- Delays > MAX produce random results

## playback

playback_t SidConfig::playback

Playbak mode.

- MONO
- STEREO

Examples
  demo.cpp.

## powerOnDelay

uint_least16_t SidConfig::powerOnDelay

Power on delay cycles.

## rightVolume

uint_least32_t SidConfig::rightVolume

Right channel volume.

## samplingMethod

sampling_method_t SidConfig::samplingMethod

Sampling method.

- INTERPOLATE
- RESAMPLE_INTERPOLATE

Examples
  demo.cpp.

## secondSidAddress

uint_least16_t SidConfig::secondSidAddress

Extra SID chips addresses.

## sidEmulation

sidbuilder* SidConfig::sidEmulation

Pointer to selected emulation, reSIDfp, reSID or hardSID.

Examples
  demo.cpp.

The documentation for this class was generated from the following files:

- SidConfig.h
- SidConfig.cpp